import { ElementIDUtils } from "@sankhyalabs/core";
import { h } from "@stencil/core";
export class EzSidebarButton {
  componentDidLoad() {
    if (this._element) {
      ElementIDUtils.addIDInfo(this._element);
    }
    if (this._button) {
      const dataInfo = { id: 'embedded' };
      ElementIDUtils.addIDInfo(this._button, 'button', dataInfo);
    }
  }
  render() {
    return (h("button", { type: "button", onClick: () => { this.ezClick.emit(); }, ref: (el) => this._button = el }, h("span", null), h("ez-icon", { iconName: "chevron-right", size: "small" })));
  }
  static get is() { return "ez-sidebar-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["ez-sidebar-button.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["ez-sidebar-button.css"]
    };
  }
  static get events() {
    return [{
        "method": "ezClick",
        "name": "ezClick",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": "Emitido sempre que o ez-sidebar-button \u00E9 clicado."
        },
        "complexType": {
          "original": "void",
          "resolved": "void",
          "references": {}
        }
      }];
  }
  static get elementRef() { return "_element"; }
}
